Pacman / beschädigtes Paket


#1

Hallo zusammen,

Nach dem letzten Systemupdate hatte ich keine graphische Benutzeroberfläche mehr. Mittelerweile habe ich rausgefunden, dass der X server nicht startet. Fehlermeldung

libXi.so.6: cannot open shared object file: No such file or directory

liXi.so.6 ist aber unter /usr/lib32 vorhanden, also vermute ich, dass die Datei aus irgend einem Grund nicht lesbar ist.

Mein Updateversuch mit

pacman -Syy libxi

brachte unter anderem " Konnte Datei /var/lib/pacman/local/libxi-1.7.9-2/desc nicht öffenen…
Fehler: konnte den Vorgang nicht vorbereiten (ungültiges oder beschädigtes Paket)"

Und es befindet sich unter /var/lib/pacman/local/libxi-1.7.9-2 tatsächlich nur die Datei “mtree”
Der Versuch, das Paket zu downgraden ist mit einer ähnlichen Fehlermeldung gescheitert.

Wie kann ich die lokale Datenbank wieder aufbauen /aktualisieren, dass ich das libxi Paket neu einspielen kann?

Gruß,
Christoph


#2

Solved